package com.inspect.patrol.service;

import com.inspect.patrol.domain.PatrolVideotape;
import com.inspect.patrol.domain.PatrolVideotapeListModel;

import java.util.List;

public interface IPatrolVideotapeService {
    PatrolVideotape selectPatrolVideotapeByVideotapeId(Long id);

    List<PatrolVideotape> selectPatrolVideotapeList(PatrolVideotapeListModel model);

    int insertPatrolVideotape(PatrolVideotape videotape);

    int updatePatrolVideotape(PatrolVideotape videotape);

    int deletePatrolVideotapeByVideotapeIds(Long[] ids);

    int deletePatrolVideotapeByVideotapeId(Long id);
}
